### Function Macro

# EDataServer named_timeout_add_seconds_full

since: 3.12

#### Declaration [src]

    #define e_named_timeout_add_seconds_full (
      priority,
      interval,
      function,
      data,
      notify
    )

#### Description [src]

Similar to g_timeout_add_seconds_full(), but also names the `GSource` for use in debugging and profiling. The name is formed from `function` and the PACKAGE definition from a <config.h> file.

Available since: 3.12

This function is not directly available to language bindings.

#### Parameters

`priority`

  Type: `-`

  The priority of the timeout source, typically in the range between #G_PRIORITY_DEFAULT and #G_PRIORITY_HIGH.

`interval`

  Type: `-`

  The time between calls to the function, in seconds.

`function`

  Type: `-`

  Function to call.

`data`

  Type: `-`

  Data to pass to `function`.

`notify`

  Type: `-`

  Function to call when the timeout is removed, or `NULL`.